Bug 325801 - qGo registers wrong mime-type
qGo registers wrong mime-type
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qgo (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Ricker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 00:57 EDT by Markus Enzenberger
Modified: 2008-06-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Enzenberger 2007-10-10 00:57:44 EDT
The file /usr/share/mimelnk/text/sgf.desktop of the qgo package registers the
mime-type text/sfg for Go-game file in SGF format (http://www.red-bean.com/sgf/)
for KDE. This mime-type is invalid, there is no standard mime-type for SGF
files. Most web sites use the mime-type application/x-go-sgf (see e.g.
http://gobase.org/software/sgfformat/SGFandWWW.html or
/usr/share/mime/packages/freedesktop.org.xml from the package shared-mime-info).

The particular problem is that if another package correctly adds a file in
/usr/share/mimelnk/application/x-go-sgf, the definition in
/usr/share/mimelnk/text/sgf.desktop still has preference, such that these files
can opened only with qGo in the KDE file browser.

My proposed solution is to remove /usr/share/mimelnk/text/sgf.desktop from the
qgo package.
Comment 1 Bug Zapper 2008-05-14 10:41:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:37:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.